# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "fff-query-parser"
version = "0.8.5-nightly.ccb1b9d"
authors = ["Dmitriy Kovalenko <dmtr.kovalenko@outlok.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Query parser for fff file finder - includes specific syntax for various constraints like globs, extensions, regex etc"
readme = false
license = "MIT"
resolver = "2"

[features]
default = []
zlob = ["dep:zlob"]

[lib]
name = "fff_query_parser"
path = "src/lib.rs"

[[bench]]
name = "parse_bench"
path = "benches/parse_bench.rs"
harness = false

[dependencies.zlob]
version = "1.3.3"
optional = true

[dev-dependencies.criterion]
version = "0.5"
features = ["html_reports"]
